Bug 21199 - Patron's attributes are displayed on GetPatronInfo's ILSDI output regardless opac_display
Summary: Patron's attributes are displayed on GetPatronInfo's ILSDI output regardless ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 14257
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-09 22:34 UTC by Jonathan Druart
Modified: 2018-09-24 13:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21199: Hide patron's attributes from ILSDI if required (3.56 KB, patch)
2018-08-09 22:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21199: Hide patron's attributes from ILSDI if required (3.60 KB, patch)
2018-08-12 15:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21199: Hide patron's attributes from ILSDI if required (3.68 KB, patch)
2018-08-13 08:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21199: (QA follow-up) Add show_attributes to perldoc (885 bytes, patch)
2018-08-13 08:57 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-08-09 22:34:31 UTC
There is a flag opac_display that is used to show or hide patron's attributes at the OPAC.
ILSDI is supposed to deal with it, but the call to GetBorrowerAttributes is wrong, flag is passed as 3rd parameter whereas it should be the 2nd.

How bad is that?
Comment 1 Jonathan Druart 2018-08-09 22:35:32 UTC
Created attachment 77639 [details] [review]
Bug 21199: Hide patron's attributes from ILSDI if required
Comment 2 Katrin Fischer 2018-08-12 15:36:49 UTC
Created attachment 77727 [details] [review]
Bug 21199: Hide patron's attributes from ILSDI if required

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2018-08-13 08:57:56 UTC
Created attachment 77736 [details] [review]
Bug 21199: Hide patron's attributes from ILSDI if required

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-08-13 08:57:59 UTC
Created attachment 77737 [details] [review]
Bug 21199: (QA follow-up) Add show_attributes to perldoc
Comment 5 Martin Renvoize 2018-08-13 09:00:15 UTC
Passing QA, no obvious failure during testing. I've added some missing preldoc.. show_attributes wasn't documented at all in the perldoc, now it is documented and states that staff only attributes will be missing.

This is in fact a possible breaking change if someone relies of staff side attributes being returned in the response. I however feel that for security reasons this is a positive move and should go through with a note in the release notes warning about the change.
Comment 6 Martin Renvoize 2018-08-24 14:27:19 UTC
Pushed to 18.05.x for 18.05.03
Comment 7 Nick Clemens 2018-08-30 14:12:15 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Nick Clemens 2018-08-31 13:14:09 UTC
Pushed to stable for 17.11.09
Comment 9 Fridolin SOMERS 2018-09-24 13:33:43 UTC
Pushed to 17.05.x for 17.05.14